Bug 39704 - qlogic qla2x00 /proc/scsi/qla2x00/n gives corrupt results
Summary: qlogic qla2x00 /proc/scsi/qla2x00/n gives corrupt results
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-08 17:59 UTC by Michael E Brown
Modified: 2007-04-18 16:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 09:52:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael E Brown 2001-05-08 17:59:07 UTC
Description of Problem:
The file /proc/scsi/qla2x00/x, where x is the number of one of the qlogic
adapters,  gives random, non-text output, it appears to be passing an
uninitialized pointer to output to the screen.  Reproduced on systems with
one, two, and three qlogic 2200 adapters. Systems are Dell PowerEdge 2400
and 2450 with both SMP and UP. Systems are connected to a Fibre-Channel
switch with 16 ports, connected to a 10-Lun raid enclosure.

How Reproducible:
cat 

Steps to Reproduce:
1. boot system
2. cat /proc/scsi/qla2x00/2
3. 

Actual Results:
  random garbage

Expected Results:
 Normally, a text file is output giving vital statistics of the driver.

Additional Information:

Comment 1 Arjan van de Ven 2001-05-21 09:52:42 UTC
Hopefully fixed by the new version of the driver.


Note You need to log in before you can comment on or make changes to this bug.